[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ClientToScreen

Converts client-relative coordinates to absolute screen coordinates.

## Declaration

Source position: controls.pp line 1734

`public function TControl.ClientToScreen(`
`const APoint: TPoint`
`):TPoint; virtual; overload; function TControl.ClientToScreen(`
`const ARect: TRect`
`):TRect; overload;`

## Arguments

`APoint` |  | TPoint instance with the client-relative coordinates converted in the method.

## Function result

TPoint instance with the screen coordinates for the specified client coordinates.

## See also

TControl.ScreenToClient |  | Converts absolute screen coordinates into client-relative coordinates.
TControl.ClientOrigin |  | Screen coordinates of the Top, Left pixel (in the client area) of the control.